SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (VoIP)  >   Asterisk Vendors:   Digium (Linux Support Services)
Asterisk pjsip Session Object File Descriptor and RTP Port Leak Lets Remote Users Consume Excessive Resources on the Target System
SecurityTracker Alert ID:  1039748
SecurityTracker URL:  http://securitytracker.com/id/1039748
CVE Reference:   CVE-2017-16672   (Links to External Site)
Updated:  Dec 31 2017
Original Entry Date:  Nov 8 2017
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 13.x, 14.x, 15.x
Description:   A vulnerability was reported in Asterisk. A remote user can consume excessive resources on the target system.

A remote user can trigger a file descriptor and RTP port leak in the processing of Asterisk pjsip session objects to consume excessive resources on the target system.

Correy Farrell reported this vulnerability.

Impact:   A remote user can consume excessive file descriptor and RTP port resources on the target system.
Solution:   The vendor has issued a fix (13.18.1, 14.7.1, 15.1.1).

The vendor advisory is available at:

http://downloads.digium.com/pub/security/AST-2017-011.html

Vendor URL:  downloads.digium.com/pub/security/AST-2017-011.html (Links to External Site)
Cause:   Resource error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC